For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

NFT Portfolio

Retrieve an account’s NFT porftolio

get

Returns the NFT portfolio’s information

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
account_idintegerRequired

The account's ID

Responses
200

Estimated total NFT value

application/json
token_quantityinteger · nullableOptional

Total quantity of tokens owned

Default: nullExample: 777
get/accounts/{account_id}/nft-portfolio
GET /accounts/{account_id}/nft-portfolio HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
  "portfolio_value": {
    "eth_value": 1,
    "usd_value": "text"
  },
  "token_quantity": 777
}